Update a recipient
curl --request PUT \
--url https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/recipients/{recipient_id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"recipient": {
"name": "Tim Bradford",
"email": "tim@example.com"
}
}
'import requests
url = "https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/recipients/{recipient_id}"
payload = { "recipient": {
"name": "Tim Bradford",
"email": "tim@example.com"
} }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipient: {name: 'Tim Bradford', email: 'tim@example.com'}})
};
fetch('https://{your-subdomain}.neetoinvoice.com/api/external/v2/clients/{client_id}/recipients/{recipient_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notice_code": "<string>"
}Recipients
Update recipient
Update a recipient.
PUT
/
clients
/
{client_id}
/
recipients
/
{recipient_id}
Update a recipient
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the client for which you want to retrieve or update details. Refer to Getting the Client ID section for detailed instructions.
Unique Id of recipient that you want to update. Refer to Getting the Recipient ID section for detailed instructions.
Body
application/json
Response
200 - application/json
OK - Request succeeded
⌘I